(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5556,        157]
NotebookOptionsPosition[      3376,         93]
NotebookOutlinePosition[      5397,        151]
CellTagsIndexPosition[      5316,        146]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Define\[Breve]Macro ",
 StyleBox["(part of the MacroProcessor package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
   3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
   3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
   3.4523472274375*^9, 3.452347231625*^9}, {3.4996253268141565`*^9, 
   3.4996253368297815`*^9}, {3.4996255731735315`*^9, 3.4996255813610315`*^9}, 
   3.499889488421875*^9, 3.50018953578125*^9, {3.500308735703125*^9, 
   3.500308736359375*^9}, {3.5003974425*^9, 3.500397445609375*^9}},
 CellTags->"Define\[Breve]Macro"],

Cell["\<\
The Define\[Breve]Macro  function defines macros that are then applied to the \
second argument os SetDelayed (:=). The following variants are supplied:\
\>", "Text",
 CellChangeTimes->{{3.500188910140625*^9, 3.500188925171875*^9}, 
   3.500189554671875*^9}],

Cell["\<\
Define\[Breve]Macro[expr, repl] \[Dash] Replaces expr (which is usually a \
pattern) by repl, whenever it occurs subsequently on the right hand side of \
:= . If expr is evaluated in another context, an error is generated. Note \
that this replacement will occur everywhere, including in situations where \
evaluation would not necessarily occur.\
\>", "Text",
 CellChangeTimes->{{3.500188938546875*^9, 3.500188954859375*^9}, 
   3.500189570765625*^9}],

Cell["\<\
Define\[Breve]Macro[expr, repl,\[CloseCurlyDoubleQuote]Strict\
\[CloseCurlyDoubleQuote]->False] \[Dash] operates as above, except that if \
expr is evaluated outside of  a SetDelayed context, it evaluates to repl. \
Typically such an evaluation is much less efficient than the result ov \
evaluating a direct substitution.\
\>", "Text",
 CellChangeTimes->{3.500189588609375*^9}],

Cell["\<\
Define\[Breve]Macro[expr] \[Dash] Replaces expr (which is usually a pattern) \
by the result of evaluating expr. Typically the Head of expr has attributes \
HoldAll (or similar) so that it can manipulate some code without total \
evaluation.\
\>", "Text",
 CellChangeTimes->{3.500189607265625*^9}],

Cell[TextData[{
 "See the ",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"MacroProcessor\"\>", True->
      StyleBox["\<\"MacroProcessor\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:MacroProcessor",
     ButtonNote->"paclet:MacroProcessor"],
    Annotation[#, "paclet:MacroProcessor", "Hyperlink"]& ]}]]],
 " guide page for a full explanation of how to use this function."
}], "Text",
 CellChangeTimes->{{3.5001890845*^9, 3.5001891330625*^9}, 3.50018919646875*^9}
  ]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{Automatic, 53}, {Automatic, 69}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2010, 12, 4, 11, 55, 30.125`9.23150196291698}, "context" -> 
    "MacroProcessor`", "keywords" -> {}, "index" -> True, "label" -> 
    "MacroProcessor Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "MacroProcessor Package", "status" -> "", "summary" -> 
    "Define\[Breve]Macro[patt,val] \[Dash] Defines a macro that replaces patt \
with val before execution starts. Define\[Breve]Macro[symbol] \[Dash] Defines \
an executable macro with the given head", "synonyms" -> {}, "title" -> 
    "Define\:02d8Macro", "type" -> "Symbol", "uri" -> 
    "MacroProcessor/ref/DefineMacro"}, "SearchTextTranslated" -> ""},
ShowCellLabel->False,
PrivateNotebookOptions -> {"NotebookAuthor" -> ""},
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Define\[Breve]Macro"->{
  Cell[567, 22, 647, 12, 85, "Chapter",
   CellTags->"Define\[Breve]Macro"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Define\[Breve]Macro", 5215, 140}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 647, 12, 85, "Chapter",
 CellTags->"Define\[Breve]Macro"],
Cell[1217, 36, 268, 5, 39, "Text"],
Cell[1488, 43, 462, 8, 55, "Text"],
Cell[1953, 53, 388, 7, 39, "Text"],
Cell[2344, 62, 307, 6, 39, "Text"],
Cell[2654, 70, 706, 20, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

