(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4470,        136]
NotebookOptionsPosition[      2529,         79]
NotebookOutlinePosition[      4345,        130]
CellTagsIndexPosition[      4302,        127]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Macro\[Breve]Hold ",
 StyleBox["(part of the MacroProcessor package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
   3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
   3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
   3.4523472274375*^9, 3.452347231625*^9}, {3.4996253268141565`*^9, 
   3.4996253368297815`*^9}, {3.4996255731735315`*^9, 3.4996255813610315`*^9}, 
   3.499889488421875*^9, 3.50018953578125*^9, 3.500189693171875*^9, {
   3.500397473046875*^9, 3.500397476390625*^9}}],

Cell["\<\
Macro\[Breve]Hold is used inside executable macros to enable them to return \
unevaluated expressions. The macro mechanism strips this wrapper off before \
splicing the result in place.\
\>", "Text",
 CellChangeTimes->{{3.500188910140625*^9, 3.500188925171875*^9}, 
   3.500189554671875*^9, 3.5001897096875*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Attributes", "[", "Macro\[Breve]Hold", "]"}]], "Input",
 CellChangeTimes->{{3.500308724984375*^9, 3.50030872575*^9}},
 CellLabel->"In[1]:="],

Cell[BoxData[
 RowBox[{"{", "HoldAll", "}"}]], "Output",
 CellChangeTimes->{3.50018975475*^9},
 CellLabel->"Out[1]="]
}, Open  ]],

Cell[TextData[{
 "See the ",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"MacroProcessor\"\>", True->
      StyleBox["\<\"MacroProcessor\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:MacroProcessor",
     ButtonNote->"paclet:MacroProcessor"],
    Annotation[#, "paclet:MacroProcessor", "Hyperlink"]& ]}]]],
 " guide page for a full explanation of how to use this function."
}], "Text",
 CellChangeTimes->{{3.5001890845*^9, 3.5001891330625*^9}, 3.50018919646875*^9}
  ]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{Automatic, 53}, {Automatic, 69}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2010, 12, 4, 11, 55, 31.828125`9.255385959622814}, "context" -> 
    "MacroProcessor`", "keywords" -> {}, "index" -> True, "label" -> 
    "MacroProcessor Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "MacroProcessor Package", "status" -> "", "summary" -> 
    "Executable macros often wrap their final answer in Macro\[Breve]Hold to \
prevent evaluation until after re-insertion into the code.", "synonyms" -> {},
     "title" -> "Macro\:02d8Hold", "type" -> "Symbol", "uri" -> 
    "MacroProcessor/ref/MacroHold"}, "SearchTextTranslated" -> ""},
ShowCellLabel->False,
PrivateNotebookOptions -> {"NotebookAuthor" -> ""},
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 592, 11, 85, "Chapter"],
Cell[1162, 35, 321, 6, 39, "Text"],
Cell[CellGroupData[{
Cell[1508, 45, 164, 3, 27, "Input"],
Cell[1675, 50, 117, 3, 25, "Output"]
}, Open  ]],
Cell[1807, 56, 706, 20, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

