(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4385,        127]
NotebookOptionsPosition[      2449,         71]
NotebookOutlinePosition[      4332,        124]
CellTagsIndexPosition[      4289,        121]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Performing\[Breve]Macro\[Breve]Expansion ",
 StyleBox["(part of the MacroProcessor package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
   3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
   3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
   3.4523472274375*^9, 3.452347231625*^9}, {3.4996253268141565`*^9, 
   3.4996253368297815`*^9}, {3.4996255731735315`*^9, 3.4996255813610315`*^9}, 
   3.499889488421875*^9, {3.500397839015625*^9, 3.500397841546875*^9}}],

Cell["\<\
Performing\[Breve]Macro\[Breve]Expansion[] Returns True if it is called from \
within an executable macro (created using Define\[Breve]Macro with one \
argument) while a macro is being expanded, it returns False in any other \
circumstances. \
\>", "Text",
 CellChangeTimes->{{3.500188910140625*^9, 3.500188925171875*^9}}],

Cell["\<\
Thus, if an executable macro is used outside a delayed assignment, this \
function can be used to detect this fact.\
\>", "Text",
 CellChangeTimes->{{3.500188938546875*^9, 3.500188954859375*^9}}],

Cell[TextData[{
 "See the ",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"MacroProcessor\"\>", True->
      StyleBox["\<\"MacroProcessor\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:MacroProcessor",
     ButtonNote->"paclet:MacroProcessor"],
    Annotation[#, "paclet:MacroProcessor", "Hyperlink"]& ]}]]],
 " guide page for a full explanation of how to use this function."
}], "Text",
 CellChangeTimes->{{3.5001890845*^9, 3.5001891330625*^9}, 
   3.50018919646875*^9, {3.500308697671875*^9, 3.50030869821875*^9}}]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{Automatic, 231}, {11, Automatic}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2010, 12, 4, 11, 55, 33.640625`9.279438954991067}, "context" -> 
    "MacroProcessor`", "keywords" -> {}, "index" -> True, "label" -> 
    "MacroProcessor Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "MacroProcessor Package", "status" -> "", "summary" -> 
    "Performing\[Breve]Macro\[Breve]Expansion[] \[Dash] Callable from within \
an executable macro to determine if it is being called as part of a macro \
expansion", "synonyms" -> {}, "title" -> 
    "Performing\:02d8Macro\:02d8Expansion", "type" -> "Symbol", "uri" -> 
    "MacroProcessor/ref/PerformingMacroExpansion"}, "SearchTextTranslated" -> 
  ""},
ShowCellLabel->False,
PrivateNotebookOptions -> {"NotebookAuthor" -> ""},
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 568, 10, 85, "Chapter"],
Cell[1138, 34, 332, 6, 39, "Text"],
Cell[1473, 42, 205, 4, 23, "Text"],
Cell[1681, 48, 752, 20, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

